Subject: Re: Resizing panels in the gitk window

From: Paul Mackerras <[email-masked]>
Date: Wed, 11 May 2022 18:17:51 +1000

On Fri, May 06, 2022 at 09:23:27AM -0700, Junio C Hamano wrote:
> Matthias Aßhauer <[email-masked]> writes:
> 
> > It looks like the issue at [1]. It sadly seems like nobody ever
> > reviewed or applied thos suggested patches, but there is some more
> > off-list discussion at [2].
> >
> > [1] https://lore.kernel.org/git/[email-masked]/#t
> > [2] https://github.com/git/git/pull/1219#issuecomment-1113122632
> 
> Thanks for a pointer.
> 
> I do recall seeing [1] but I do not see anything happened on the
> thread since then.  I didn't look at it back then primarily because
> the patches were made against a wrong history (no, you do not want
> to make a gitk patch against my tree nor throw a pull request at my
> repository), and there was no way for me to pick it up.

I have just picked up Halil Sen's two patches and applied them, and
pushed the result out to git.ozlabs.org.

> As Documentation/SubmittingPatches says:
> 
>     Some parts of the system have dedicated maintainers with their own
>     repositories.
>     ... 
>     Patches to these parts should be based on their trees.
> 
> Having said that, gitk has been quiescent for quite a while, and I
> wonder if Paul's been too busy for (or no longer interested in)
> maintaining it and perhaps he can use a replacement maintainer?

I am indeed very busy and would welcome a replacement maintainer for
gitk, if somebody was willing to take it up.

Thanks,
Paul.